Create a catalog

Creates a catalog.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The catalog's owner(namespaces).

Body Params

CreateCatalogRequest represents a request to create a catalog.

string

The catalog name.

string

The catalog description.

tags
array of strings

The catalog tags.

tags
string
enum
  • CATALOG_TYPE_PERSISTENT: PERSISTENT
  • CATALOG_TYPE_EPHEMERAL: EPHEMERAL
Allowed:
convertingPipelines
array of strings

Pipelines used for converting page-based documents (i.e., files with pdf,
doc[x] or ppt[x] extension) to Markdown. The strings in the list identify
the pipelines and MUST have the format
{namespaceID}/{pipelineID}@{version}. The pipeline recipes MUST have the
following variable and output fields:

variable:
  document_input:
    title: document-input
    description: Upload a document (PDF/DOCX/DOC/PPTX/PPT)
    type: file

The convert_result output should be a list of strings, one per page.

output:
 convert_result:
   title: convert-result
   value: ${merge-markdown-refinement.output.results[0]}

Other variable and output fields will be ignored.

The pipelines will be executed in order until one produces a successful,
non-empty result.

If no pipelines are provided, a default pipeline will be used. For
non-document catalog files, the conversion pipeline is deterministic (such
files are typically trivial to convert and don't require a dedicated
pipeline to improve the conversion performance).

convertingPipelines
Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json